[oe-commits] Otavio Salvador : initramfs-module-psplash: allow psplash to be disabled using boot param

GIT User account git at amethyst.openembedded.net
Mon Feb 23 17:34:28 UTC 2009


Module: openembedded.git
Branch: org.openembedded.dev
Commit: 6fb58774bcf7e9bbfd3f3ff25d134269f402539e
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=6fb58774bcf7e9bbfd3f3ff25d134269f402539e

Author: Otavio Salvador <otavio at ossystems.com.br>
Date:   Mon Feb 23 14:16:30 2009 -0300

initramfs-module-psplash: allow psplash to be disabled using boot param

Add support to disable psplash using boot param as done for regular
psplash package. To disable it, use 'psplash=false' as boot param.

---

 packages/initrdscripts/files/00-psplash.sh         |    8 +++++---
 packages/initrdscripts/files/99-psplash.sh         |    6 ++++--
 .../initrdscripts/initramfs-module-psplash_1.0.bb  |    2 +-
 3 files changed, 10 insertions(+), 6 deletions(-)

diff --git a/packages/initrdscripts/files/00-psplash.sh b/packages/initrdscripts/files/00-psplash.sh
index 491fe13..db8aabe 100644
--- a/packages/initrdscripts/files/00-psplash.sh
+++ b/packages/initrdscripts/files/00-psplash.sh
@@ -1,4 +1,6 @@
-mkdir -p /mnt/.psplash
-mount tmpfs -t tmpfs /mnt/.psplash -o,size=40k
+if ! grep -Eq '\s?psplash=false\s?' /proc/cmdline; then
+	mkdir -p /mnt/.psplash
+	mount tmpfs -t tmpfs /mnt/.psplash -o,size=40k
 
-psplash &
+	psplash &
+fi
diff --git a/packages/initrdscripts/files/99-psplash.sh b/packages/initrdscripts/files/99-psplash.sh
index fa488cf..3d5f1d6 100644
--- a/packages/initrdscripts/files/99-psplash.sh
+++ b/packages/initrdscripts/files/99-psplash.sh
@@ -1,2 +1,4 @@
-mkdir -p /mnt/mnt/.psplash
-mount -n -o move /mnt/.psplash /mnt/mnt/.psplash
+if ! grep -Eq '\s?psplash=false\s?' /proc/cmdline; then
+	mkdir -p /mnt/mnt/.psplash
+	mount -n -o move /mnt/.psplash /mnt/mnt/.psplash
+fi
diff --git a/packages/initrdscripts/initramfs-module-psplash_1.0.bb b/packages/initrdscripts/initramfs-module-psplash_1.0.bb
index a765b36..1cc6f9e 100644
--- a/packages/initrdscripts/initramfs-module-psplash_1.0.bb
+++ b/packages/initrdscripts/initramfs-module-psplash_1.0.bb
@@ -1,5 +1,5 @@
 SRC_URI = "file://00-psplash.sh file://99-psplash.sh"
-PR = "r1"
+PR = "r2"
 RDEPENDS = "initramfs-uniboot psplash"
 DESCRIPTION = "An initramfs module to enable psplash."
 





More information about the Openembedded-commits mailing list